Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkQuantizePolyDataPoints Class Reference

`#include <vtkQuantizePolyDataPoints.h>`

Inheritance diagram for vtkQuantizePolyDataPoints:

[legend]
Collaboration diagram for vtkQuantizePolyDataPoints:

[legend]
List of all members.

## Detailed Description

quantizes x,y,z coordinates of points

Date:
  2002/01/22 15:29:42

Revision:
  1.12

vtkQuantizePolyDataPoints is a subclass of vtkCleanPolyData and inherits the functionality of vtkCleanPolyData with the addition that it quantizes the point coordinates before inserting into the point list. The user should set QFactor to a positive value (0.25 by default) and all {x,y,z} coordinates will be quantized to that grain size.

A tolerance of zero is expected, though positive values may be used, the quantization will take place before the tolerance is applied.

Warning:
  Merging points can alter topology, including introducing non-manifold forms. Handling of degenerate cells is controlled by switches in vtkCleanPolyData.

See also:
  vtkCleanPolyData

Created by:
  - Biddiscombe, John

CVS contributions (if > 5%):
  - Biddiscombe, John (72%)
  - Schroeder, Will (23%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkQuantizePolyDataPoints.cxx)`
  - .`h` (`/Graphics/vtkQuantizePolyDataPoints.h)`

Definition at line 56 of file vtkQuantizePolyDataPoints.h.

## Public Types
typedef vtkCleanPolyData | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | OperateOnPoint (float in[3], float out[3])
virtual void | OperateOnBounds (float in[6], float out[6])
virtual void | SetQFactor (float)
virtual float | GetQFactor ()
## Static Public Methods
vtkQuantizePolyDataPoints * | New ()
int | IsTypeOf (const char *type)
vtkQuantizePolyDataPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkQuantizePolyDataPoints ()
| ~vtkQuantizePolyDataPoints ()
## Protected Attributes
float | QFactor

## Member Typedef Documentation

typedef vtkCleanPolyData vtkQuantizePolyDataPoints::Superclass

| Reimplemented from vtkCleanPolyData. Definition at line 60 of file vtkQuantizePolyDataPoints.h.

## Constructor & Destructor Documentation

vtkQuantizePolyDataPoints::vtkQuantizePolyDataPoints | ( |  | ) | `[protected]`

vtkQuantizePolyDataPoints::~vtkQuantizePolyDataPoints | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkQuantizePolyDataPoints.h.

## Member Function Documentation

vtkQuantizePolyDataPoints* vtkQuantizePolyDataPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCleanPolyData.

virtual const char* vtkQuantizePolyDataPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCleanPolyData.

int vtkQuantizePolyDataPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCleanPolyData.

virtual int vtkQuantizePolyDataPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCleanPolyData.

vtkQuantizePolyDataPoints* vtkQuantizePolyDataPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCleanPolyData.

void vtkQuantizePolyDataPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCleanPolyData.

virtual void vtkQuantizePolyDataPoints::SetQFactor | ( | float |  | ) | `[virtual]`

| Specify quantization grain size

virtual float vtkQuantizePolyDataPoints::GetQFactor | ( |  | ) | `[virtual]`

| Specify quantization grain size

virtual void vtkQuantizePolyDataPoints::OperateOnPoint | ( | float | in[3],
|  | float | out[3]
| ) | `[virtual]`

| Perform quantization on a point Reimplemented from vtkCleanPolyData.

virtual void vtkQuantizePolyDataPoints::OperateOnBounds | ( | float | in[6],
|  | float | out[6]
| ) | `[virtual]`

| Perform quantization on bounds Reimplemented from vtkCleanPolyData.

## Member Data Documentation

float vtkQuantizePolyDataPoints::QFactor`[protected]`

| Definition at line 79 of file vtkQuantizePolyDataPoints.h.

The documentation for this class was generated from the following file:

- Graphics/vtkQuantizePolyDataPoints.h